package com.sw.mes.sap.service;

import com.sw.mes.core.annotation.Jinko;
import com.sw.mes.core.annotation.ServiceLogs;
import com.sw.mes.core.base.BaseService;
import com.sw.mes.sap.entity.RecycledReportSapRecord;

/**
 * MES报工SAP的记录Service接口
 */
@Jinko(author = "yyl", value = "MES报工SAP的记录Service接口")
public interface RecycledReportSapRecordService extends BaseService<RecycledReportSapRecord> {


     void saveRecycledRecordRecord(RecycledReportSapRecord recycledReportSapRecord);

     void saveWasteRecordRecord(RecycledReportSapRecord recycledReportSapRecord);

     void saveRecycledRecordAllotRecord(RecycledReportSapRecord recycledReportSapRecord);

     void saveWasteRecordAllotRecord(RecycledReportSapRecord recycledReportSapRecord);

     void saveCleanConsumeRecord(RecycledReportSapRecord recycledReportSapRecord);

     void saveCleanGroupRecord(RecycledReportSapRecord recycledReportSapRecord);

     void saveCleanGroupAllotRecord(RecycledReportSapRecord recycledReportSapRecord);

     void saveRecycledNoAutoAllotRecord(RecycledReportSapRecord recycledReportSapRecord);

     void saveJdRecycledNoAutoAllotRecord(RecycledReportSapRecord recycledReportSapRecord);

     void saveOtherRecycledNoAutoAllotRecord(RecycledReportSapRecord recycledReportSapRecord);


}
